## ispell 3.4.06

=== Makefile ===
#
# $Id: Makefile,v 1.129 2022-03-11 00:46:51-08 geoff Exp $
#
# Copyright 1992, 1993, 1999, 2001, 2005, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# You will have to create a local.h file before building; look over
# config.X to learn what things you may need to define, or use one of
# the sample local.h files shipped.
#
# the argument syntax for buildhash to make alternate dictionary files
# is simply:
#
#   buildhash <dictfile> <affix-file> <outfile>

# $Log: Makefile,v $
# Revision 1.129  2022-03-11 00:46:51-08  geoff
# Make ispell.1 depend on version.h
#
# Revision 1.128  2018-01-18 22:50:11-08  geoff
# When symlinking DEFHASH, don't use DESTDIR (DESTDIR is specified to be
# a temporary before files are moved to a final location, so the symlink
# should reference the eventual installation location).
#
# Revision 1.127  2015-02-08 01:10:54-08  geoff
# Support DESTDIR.
#
# Revision 1.126  2015-02-08 00:44:20-08  geoff
# During installation, make sure we don't accidentally get stuck in BINDIR.
#
# Revision 1.125  2005/09/06 06:31:32  geoff
# In the "doedit" dependency, pick out the ispell version and make it
# available to edited files.
#
# Revision 1.124  2005/05/25 13:56:32  geoff
# Make language subdirectories in reverse order so that the English
# makefiles can install a default dictionary linked to the first-mentioned
# language.
#
# Revision 1.123  2005/05/25 13:22:33  geoff
# Bug fix: make sure HASHSUFFIX set before using it during installation.
#
# Revision 1.122  2005/05/01 23:19:12  geoff
# Make constructed files depend on the Makefile
#
# Revision 1.121  2005/05/01 23:07:59  geoff
# Add EXTEXT usage (courtesy of Eli Zaretskii).
#
# Revision 1.120  2005/05/01 22:35:00  geoff
# Get rid of references to fixispell-a in the installation process (but
# blow away any previously installed copies).  Add BAKEXT to the stuff
# that's in config.sh and that's substituted when editing .X files.
# Sort the list of edit substitutions.  When generating DEFHASH, use the
# configurable has suffix.
#
# Revision 1.119  2005/04/28 01:03:11  geoff
# Improve the generation of defhash.h to set up DEFLANG and to allow all
# definitions to be overridden by local.h.  Clean up defhash.h in "make
# clean".
#
# Revision 1.118  2005/04/28 00:26:06  geoff
# Dynamically generate MASTERHASH and DEFHASH from the first dictionary
# name specified in LANGUAGES.
#
# Revision 1.117  2005/04/27 01:18:34  geoff
# Work around idiotic POSIX incompatibilies in tail.  Proactively use
# the -e switch to sed against the day when they decide to make sed
# incompatible as well.
#
# Revision 1.116  2005/04/21 14:08:58  geoff
# Insert a missing "silencing at".  Change the name of the sample
# local.h file.
#
# Revision 1.115  2005/04/14 15:19:37  geoff
# Fix typos in the special term.o rule.
#
# Revision 1.114  2005/04/14 14:38:23  geoff
# Update license.  Integrate Ed Avis's changes.  Add fixispell-a (broken
# though it is).  Generate ispell.5 dynamically.  Put term.o first to
# improve detection of misconfigurations, and generate a special message
# if it won't compile.  Play funny games with y.tab.c to deal with
# MS-DOS stupidity.
#
# Revision 1.113  2002/06/20 23:46:15  geoff
# Put sq/unsq back, since some dictionaries are still distributed in sq
# format.  Add code to make directory paths when necessary.
#
# Revision 1.112  2001/09/06 00:30:28  geoff
# Many changes from Eli Zaretskii to support DJGPP compilation.
#
# Revision 1.111  2001/07/25 21:51:45  geoff
# Minor license update.
#
# Revision 1.110  2001/07/23 20:24:02  geoff
# Update the copyright and the license.
#
# Revision 1.109  2001/06/07 19:06:33  geoff
# When creating local.h, make it user-writable.
#
# Revision 1.108  2001/06/07 08:02:18  geoff
# Add the deformatters to the default dependencies.
#
# Revision 1.107  1999/01/13 01:34:15  geoff
# Get rid of some leftover references to emacs stuff.
#
# Revision 1.106  1999/01/08  04:32:31  geoff
# Don't try to build or install ispell.el and ispell.info.
#
# Revision 1.105  1999/01/07  01:22:29  geoff
# Update the copyright.  Get rid of old shar-based dictionary building.
#
# Revision 1.104  1995/11/08  05:09:06  geoff
# When invoking "showversion", ignore any errors that happen.  Fix a
# place where I forgot to double a dollar sign in install-languages.
#
# Revision 1.103  1995/10/25  03:35:38  geoff
# Don't assume the presence of "head" in the showversion dependency; use
# old reliable sed instead.  Also make showversion depend on ispell
# itself, since it uses it.
#
# Revision 1.102  1995/10/11  04:30:25  geoff
# Allow DEFHASH and MASTERHASH to be the same.
#
# Revision 1.101  1995/08/05  23:19:33  geoff
# Add the showversion target to ease the job of debugging people's make
# output.  Make sure SHELLDEBUG is set for the entire process of making
# config.sh.
#
# Revision 1.100  1995/03/06  02:42:39  geoff
# Run iwhich explicitly from the shell, so that we don't have to worry
# about PATH problems and whether it's executable or not.  Also fix a
# place where -nw was not removed from the batch emacs switch list.
#
# Revision 1.99  1995/01/08  23:23:23  geoff
# Get rid of an obsolete etags flag.  Add some new variables to config.sh.
#
# Revision 1.98  1994/12/27  23:08:43  geoff
# Use the new "iwhich" script to decide whether to install emacs-related
# stuff.  Make correct.o depend on version.h so that "ispell -a" always
# reports the correct version.
#
# Revision 1.97  1994/11/21  07:02:51  geoff
# Specify default values for the BUILD macros, so that some systems
# don't accidentally override them and make ispell think that the
# dictionaries are missing.
#
# Revision 1.96  1994/10/25  05:45:54  geoff
# Make the installation command configurable.
#
# Revision 1.95  1994/10/18  04:03:17  geoff
# Get rid of DICTVARIANTS, which is obsolete.  Compile term.o first, so
# that errors in it (which are common) will show up first.  Improve the
# rules for generation of msgs.h.
#
# Revision 1.94  1994/09/16  05:06:55  geoff
# Split installation up into basic and dictionary-building tools, so
# that we can have a partial-install target.
#
# Revision 1.93  1994/09/16  04:51:28  geoff
# Handle installations that have ELISPDIR but not TEXINFODIR
#
# Revision 1.92  1994/09/16  02:45:52  geoff
# Don't strip non-binaries.  Fix an accidentally-doubled backslash.
#
# Revision 1.91  1994/08/31  05:58:27  geoff
# Strip binaries before installing them.  Create directories before
# installing into them.  Make sure manual pages are installed with the
# correct protection modes.
#
# Revision 1.90  1994/05/25  04:29:16  geoff
# Don't remove english.4 after the English makefile has carefully
# installed it.
#
# Revision 1.89  1994/05/24  05:31:22  geoff
# Return to the old sed-based method of parsing LANGUAGES, so that things
# will work on broken systems like BSDI.
#
# Revision 1.88  1994/05/24  04:54:30  geoff
# Fix the emacs installation to use emacs batch mode properly, so that a
# terminal isn't required.
#
# Revision 1.87  1994/03/21  01:55:17  geoff
# If a hard link can't be made to msgs.h, copy it instead
#
# Revision 1.86  1994/02/22  06:09:03  geoff
# Add SHELLDEBUG.  Change the language-subdirs target to use the shell
# IFS variable to parse things, simplifying things and improving
# efficiency (thanks to Hagen Ross for the idea and implemenation).
#
# Revision 1.85  1994/02/13  23:25:31  geoff
# Fix multiple-language processing to not pass subsequent specifications to
# the first Makefile.  Also fix the language shell loop to be more flexible.
#
# Revision 1.84  1994/02/07  08:10:40  geoff
# When processing the LANGUAGES configuration variable (from local.h),
# use sed instead of expr to process it.  This gets around versions of
# expr that have 127-character limitations (though it probably still
# limits us to 512 characters with some versions of sed, so further work
# may be needed here).
#
# Revision 1.83  1994/02/07  06:31:20  geoff
# Clarify how to change variables in local.h
#
# Revision 1.82  1994/02/07  06:29:31  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.81  1994/02/07  05:35:34  geoff
# Make realclean run dictclean
#
# Revision 1.80  1994/01/26  07:44:43  geoff
# Make yacc configurable through local.h.
#
# Revision 1.79  1994/01/25  07:11:11  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

#
# !!!DO NOT EDIT HERE!!!
#
# Unlike previous versions of ispell, there should be no need to edit
# your Makefile.  Instead, #define the corresponding variables in your
# local.h file; the Makefile will automatically pick them up.  The
# only reason you should need to edit the Makefile might to be to add
# non-English dictionary support.
#
# For example, if you want to set CFLAGS to "-g -Wall", don't put it
# here.  Put:
#
#	#define CFLAGS	"-g -Wall"
#
# in local.h.  Otherwise, it won't have any effect.
#
EXTRADICT = Use_config.sh

SHELL = /bin/sh
MAKE = make

#
# Prefix to apply to installation directories.  This is not controlled
# by config.X; if you want to make a global change of that sort you
# should just set BINDIR, LIBDIR, etc. appropriately.  The DESTDIR
# prefix is useful if you want to specify a prefix at the time you
# invoke make; this approach is useful in some large installations.
#
# Note that DESTDIR should be specified with a trailing slash.
#
DESTDIR =

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	config.sh
all:	programs defmt-programs showversion ispell.1 ispell.5
all:	all-languages

programs: buildhash findaffix tryaffix ispell
programs: icombine ijoin munchlist
programs: subset zapdups

defmt-programs:
	cd deformatters; $(MAKE) all

showversion:	ispell
	-./ispell -v | sed -e 1q

.c.o:
	@. ./config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

#
# The funny business with y_tab.c is necessary for MS-DOS systems,
# where filenames can't have multiple periods.
#
.y.o:
	@. ./config.sh; \
	  set -x; \
	  $$YACC $<; \
	  [ -f y_tab.c ]  ||  mv y.tab.c y_tab.c; \
	  $$CC $$CFLAGS -c y_tab.c; \
	  mv y_tab.o $@; \
	  rm -f y_tab.c

=== deformatters/Makefile ===
#
# $Id: Makefile,v 1.10 2022-09-18 00:10:46-07 geoff Exp $
#
# Copyright 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

#
# $Log: Makefile,v $
# Revision 1.10  2022-09-18 00:10:46-07  geoff
# Make sure BINDIR exists when instaling
#
# Revision 1.9  2015-02-08 01:11:13-08  geoff
# Support DESTDIR
#
# Revision 1.8  2015-02-08 00:56:20-08  geoff
# Change executable names and fix a few misuses of make.
#
# Revision 1.7  2005/05/01 23:04:58  geoff
# Add EXEEXT to executables for DOS portability (courtesy of Eli Zaretskii).
#
# Revision 1.6  2004/06/02 06:30:28  geoff
# Add .c: and .o: rules so proper flags are always used.
#
# Revision 1.5  2004/06/02 06:28:12  geoff
# Minor license update
#
# Revision 1.4  2001/09/06 00:35:18  geoff
# Shorten names so that the deformatters can be built on MS-DOS.
#
# Revision 1.3  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.2  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.1  2001/06/07 07:23:54  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

PROGRAMS = defmt-c$(EXEEXT) defmt-sh$(EXEEXT)

all:	$(PROGRAMS)

defmt-c: defmt-c.o
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

defmt-sh: defmt-sh.o
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

.c.o:
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

install: all
	@. ../config.sh; \
	  set -x; \
	  rm -f $(DESTDIR)$$BINDIR/defmt-c $(DESTDIR)$$BINDIR/defmt-sh
	@. ../config.sh; \
	  set -x; \
	  mkdir -p $(DESTDIR)$$BINDIR; \
	  $$INSTALL $(PROGRAMS) $(DESTDIR)$$BINDIR
	@. ../config.sh; \
	  set -x; \
	  cd $(DESTDIR)$$BINDIR; \
	  strip $(PROGRAMS); \
	  chmod 755 $(PROGRAMS)

clean:
	rm -f *.o core a.out mon.out $(PROGRAMS)

realclean veryclean:	clean

=== debian/changelog ===
ispell (3.4.06-1) unstable; urgency=low

  * New upstream version.
  * Build-Depend on libncurses-dev instead of libncurses5-dev.
  * Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 09 Jan 2024 22:48:57 +0100

=== debian/control ===
Source: ispell
Section: text
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dictionaries-common-dev,
               libncurses-dev
Build-Depends-Indep: wamerican,
                     wamerican-huge,
                     wamerican-insane,
                     wamerican-large,
                     wamerican-small,
                     wbritish,
                     wbritish-huge,
                     wbritish-insane,
                     wbritish-large,
                     wbritish-small
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.cs.hmc.edu/~geoff/ispell.html
Vcs-Git: https://salsa.debian.org/debian/ispell.git
Vcs-Browser: https://salsa.debian.org/debian/ispell

Package: ispell
Architecture: any
Multi-Arch: foreign
Depends: ${ispell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: iamerican | ispell-dictionary, wamerican | wordlist
Breaks:
        ifinnish (<= 0.7-17.3),
        ifinnish-large (<= 0.7-17.3)
Suggests: spell
Description: International Ispell (an interactive spelling corrector)
 Ispell corrects spelling in plain text, LaTeX, sgml/html/xml, and nroff files.
 [x]Emacs and jed have nice interfaces to ispell, and ispell works from many
 other tools and from the command line as well.
 .
 No ispell dictionaries are included in this package; you must install
 at least one of them ("iamerican" is recommended by default for no good
 reason); install the "ispell-dictionary" package(s) for the language(s)
 you and your users will want to spell-check.
 .
 It's a good idea to install "word list" package(s) for the same language(s),
 because they'll be used by ispell's (L)ookup command.

Package: ienglish-common
Architecture: all
Depends: ispell (>= ${source:Upstream-Version}), ${ispell:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Recommends: iamerican | iamerican-small | iamerican-large | iamerican-huge | iamerican-insane | ibritish | ibritish-small | ibritish-large | ibritish-huge | ibritish-insane
Description: Common files for British and American ispell dictionaries
 This package provides common files and dependencies for all American and
 British ispell dictionary packages. The package is useless if none of the
 dictionaries is also installed.

Package: iamerican
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wamerican
Provides: ispell-dictionary
Description: American English dictionary for ispell (standard version)
 This package provides the standard, medium-sized American English dictionary,
 based on the americanmed+ dictionary supplied with the source for ispell,
 with additional words added from the more comprehensive wamerican word
 list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are ibritish* packages as well.
 .
 The package also suggests wamerican because ispell's (L)ookup command
 needs a word list.

Package: ibritish
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wbritish
Provides: ispell-dictionary
Description: British English dictionary for ispell (standard version)
 This package provides the standard, medium-sized British English dictionary,
 based on the britishmed+ dictionary supplied with the source for ispell, with
 additional words added from the more comprehensive wbritish word list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are iamerican* packages as well.
 .
 The package also suggests wbritish because ispell's (L)ookup command
 needs a word list.

Package: iamerican-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wamerican-small
Provides: ispell-dictionary
Description: American English dictionary for ispell (small)
 This package provides the american-small dictionary, based on the americansml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-small word list package.
 .
 This is smaller dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-small because ispell's (L)ookup
 command needs a word list.

Package: ibritish-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wbritish-small
Provides: ispell-dictionary
Description: British English dictionary for ispell (small)
 This package provides the british-small dictionary, based on the britishsml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-small word list package.
 .
 This is smaller dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-small because ispell's (L)ookup command
 needs a word list.

Package: iamerican-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wamerican-large
Provides: ispell-dictionary
Description: American English dictionary for ispell (large)
 This package provides the american-large dictionary, based on the americanlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-large word list package.
 .
 This is larger dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-large because ispell's (L)ookup
 command needs a word list.

Package: ibritish-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wbritish-large
Provides: ispell-dictionary
Description: British English dictionary for ispell (large)
 This package provides the british-large dictionary, based on the britishlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-large word list package.
 .
 This is larger dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-large because ispell's (L)ookup command
 needs a word list.

Package: iamerican-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wamerican-huge
Provides: ispell-dictionary
Description: American English dictionary for ispell (huge)
 This package provides the american-huge dictionary, based on the americanxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 iamerican-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wbritish-huge
Provides: ispell-dictionary
Description: British English dictionary for ispell (huge)
 This package provides the british-huge dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 ibritish-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

Package: iamerican-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wamerican-insane
Provides: ispell-dictionary
Description: American English dictionary for ispell (insane version)
 This package provides the american-insane dictionary, based on the
 americanxlg+ dictionary supplied with the source for ispell, with additional
 words added from the more comprehensive wamerican-insane word list package.
 .
 This is an even larger dictionary than the one installed by iamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: wbritish-insane
Provides: ispell-dictionary
Description: British English dictionary for ispell (insane version)
 This package provides the british-insane dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-insane word list package.
 .
 This is an even larger dictionary than the one installed by ibritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

=== debian/tests/control ===
Test-Command: ./debian/tests/ispell-test 000_main
Features: test-name=000_main-check

Test-Command: ./debian/tests/ispell-test bug_151397
Features: test-name=bug_151397-check

Test-Command: ./debian/tests/ispell-test bug_273060
Features: test-name=bug_273060-check

Test-Command: ./debian/tests/ispell-test bug_301287
Features: test-name=bug_301287-check

Test-Command: ./debian/tests/ispell-test bug_320285
Features: test-name=bug_320285-check

Test-Command: ./debian/tests/ispell-test bug_366606
Features: test-name=bug_366606-check

Test-Command: ./debian/tests/ispell-test bug_378787
Features: test-name=bug_378787-check

Test-Command: ./debian/tests/ispell-test bug_389901
Features: test-name=bug_389901-check

Test-Command: ./debian/tests/ispell-test bug_402053
Features: test-name=bug_402053-check

Test-Command: ./debian/tests/ispell-test bug_408836
Features: test-name=bug_408836-check

Test-Command: ./debian/tests/ispell-test bug_412540
Features: test-name=bug_412540-check

Test-Command: ./debian/tests/ispell-test bug_415087
Features: test-name=bug_415087-check

Test-Command: ./debian/tests/ispell-test bug_434455
Features: test-name=bug_434455-check

Test-Command: ./debian/tests/ispell-test bug_440108
Features: test-name=bug_440108-check

Test-Command: ./debian/tests/ispell-test bug_451323
Features: test-name=bug_451323-check

Test-Command: ./debian/tests/ispell-test bug_452973
Features: test-name=bug_452973-check

Test-Command: ./debian/tests/ispell-test bug_459835
Features: test-name=bug_459835-check

=== debian/watch ===
version=4
https://www.cs.hmc.edu/~geoff/ispell.html (?:.*/)?tars/ispell-(\d+.*)\.tar\.gz
